Download it now!
Bug 116570 - FILESAVE: DOC: CR added at the beginning of footnote on first save
Summary: FILESAVE: DOC: CR added at the beginning of footnote on first save
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.1.0
Keywords: filter:doc
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-03-22 17:51 UTC by Justin L
Modified: 2019-09-24 06:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
fdo79062_modified.odt: modified by LO - extra CR seen in footnote when exporting to .doc format (11.44 KB, application/vnd.oasis.opendocument.text)
2018-03-22 17:51 UTC, Justin L
Details
footnote-twoparagraphs.odt: another example of CR being added when saved as .doc format. (16.19 KB, application/vnd.oasis.opendocument.text)
2018-03-22 17:52 UTC, Justin L
Details
saved onceA6.docx: example 3 (6.32 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-03-22 17:57 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2018-03-22 17:51:00 UTC
Created attachment 140815 [details]
fdo79062_modified.odt: modified by LO - extra CR seen in footnote when exporting to .doc format

I'm not sure what triggers it, but some documents have an extra carriage return added right after the footnote number when exporting in .doc format.  It doesn't happen in .docx or .rtf formats for these documents.
Comment 1 Justin L 2018-03-22 17:52:49 UTC
Created attachment 140816 [details]
footnote-twoparagraphs.odt: another example of CR being added when saved as .doc format.
Comment 2 Justin L 2018-03-22 17:57:01 UTC
Created attachment 140817 [details]
saved onceA6.docx: example 3
Comment 3 Dieter 2018-03-22 18:01:54 UTC
Reproducible with the attachement 140815 document in

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 9d75bfcfaef97b247b3b6cd346eb27e02ae7b010
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-19_06:25:17
Locale: de-DE (de_DE); Calc: CL

There is also an extra tab
Comment 4 Justin L 2018-03-23 09:58:25 UTC
proposed fix: https://gerrit.libreoffice.org/51771 tdf#116570
Comment 5 Commit Notification 2018-03-28 13:09:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e92a996d1588bdf2ff1e2df10220a0f57686cfb

tdf#116570 ww8 export: skip sectionbreak for footnotes

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Dieter 2019-09-24 06:08:54 UTC
VERIFIED with

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded